Package org.opensaml.saml.saml1.profile.impl

# Class ChainingSAML1NameIdentifierGenerator

java.lang.Object
org.opensaml.saml.common.profile.impl.ChainingNameIdentifierGenerator<NameIdentifier>
org.opensaml.saml.saml1.profile.impl.ChainingSAML1NameIdentifierGenerator

All Implemented Interfaces:
  `NameIdentifierGenerator<NameIdentifier>`, `SAML1NameIdentifierGenerator`

public class ChainingSAML1NameIdentifierGenerator extends ChainingNameIdentifierGenerator<NameIdentifier> implements SAML1NameIdentifierGenerator
Subclass incorporating SAML 1 interface.

## Constructor Summary

Constructors
Constructor
Description
`ChainingSAML1NameIdentifierGenerator()`

## Method Summary

### Methods inherited from class org.opensaml.saml.common.profile.impl.ChainingNameIdentifierGenerator

`generate, setDefaultGenerator, setGenerators`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml1.profile.SAML1NameIdentifierGenerator

`generate`

## Constructor Details

### ChainingSAML1NameIdentifierGenerator

public ChainingSAML1NameIdentifierGenerator()